Package com.microsoft.sqlserver.jdbc

## Class SQLServerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - com.microsoft.sqlserver.jdbc.SQLServerException

    public final class SQLServerException
    extends java.sql.SQLException

See Also:
  Serialized Form

### Constructor Summary

Constructors
`SQLServerException​(java.lang.Object obj, java.lang.String errText, java.lang.String errState, int errNum, boolean bStack)`
`SQLServerException​(java.lang.Object obj, java.lang.String errText, java.lang.String errState, com.microsoft.sqlserver.jdbc.StreamError streamError, boolean bStack)` Make a new SQLException
`SQLServerException​(java.lang.String errText, com.microsoft.sqlserver.jdbc.SQLState sqlState, com.microsoft.sqlserver.jdbc.DriverError driverError, java.lang.Throwable cause)` Make a new SQLException
`SQLServerException​(java.lang.String errText, java.lang.String errState, int errNum, java.lang.Throwable cause)`
`SQLServerException​(java.lang.String errText, java.lang.Throwable cause)`

### Method Summary

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Constructor Detail

#### SQLServerException

    public SQLServerException​(java.lang.String errText,
                              com.microsoft.sqlserver.jdbc.SQLState sqlState,
                              com.microsoft.sqlserver.jdbc.DriverError driverError,
                              java.lang.Throwable cause)

Make a new SQLException

Parameters:
  `errText` - the exception message
  `sqlState` - the statement
  `driverError` - the driver error object
  `cause` - The exception that caused this exception

#### SQLServerException

    public SQLServerException​(java.lang.String errText,
                              java.lang.String errState,
                              int errNum,
                              java.lang.Throwable cause)

#### SQLServerException

    public SQLServerException​(java.lang.String errText,
                              java.lang.Throwable cause)

#### SQLServerException

    public SQLServerException​(java.lang.Object obj,
                              java.lang.String errText,
                              java.lang.String errState,
                              int errNum,
                              boolean bStack)

#### SQLServerException

    public SQLServerException​(java.lang.Object obj,
                              java.lang.String errText,
                              java.lang.String errState,
                              com.microsoft.sqlserver.jdbc.StreamError streamError,
                              boolean bStack)

Make a new SQLException

Parameters:
  `obj` - the object
  `errText` - the exception message
  `errState` - the exception state
  `streamError` - the StreamError object
  `bStack` - true to generate the stack trace